## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# F35: Do not update past 2.10.7. F35's protobuf is too old.

# tests are enabled by default
%bcond_without  tests

%global         srcname     google-cloud-container
%global         forgeurl    https://github.com/googleapis/python-container
Version:        2.13.0
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google Cloud Kubernetes Engine API

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
Python Client for Google Cloud Kubernetes Engine API}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1

# Allow a slightly older protobuf.
sed -i 's/"protobuf.*",/"protobuf>=3.19.4",/' setup.py

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove unneeded scripts.
rm -f %{buildroot}%{_bindir}/fixup_container_v1_keywords.py \
    %{buildroot}%{_bindir}/fixup_container_v1beta1_keywords.py


%if %{with tests}
%check
# Work around an unusual pytest/PEP 420 issue where pytest can't import the
# installed module. Thanks to mhroncok for the help!
mv google{,_}
%pytest --disable-warnings tests/unit
mv google{_,}
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGELOG.md
%{python3_sitelib}/google_cloud_container-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 2.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Oct 28 2022 Janine Olear <pninak@web.de> 2.13.0-1
- Update to 2.13.0 rhbz#2138267

* Wed Oct 19 2022 Major Hayden <major@redhat.com> 2.12.2-1
- Update to 2.12.2 rhbz#2131888

* Tue Sep 20 2022 fkolwa <fkolwa@redhat.com> 2.12.0-1
- Update to 2.12.0 rhbz#2128082

* Mon Aug 15 2022 Major Hayden <major@redhat.com> 2.11.2-1
- Update to 2.11.2 rhbz#2118355

* Tue Aug 09 2022 Major Hayden <major@redhat.com> 2.11.1-1
- Update to 2.11.1 rhbz#2116827

* Wed Jul 27 2022 Major Hayden <major@redhat.com> 2.11.0-1
- Update to 2.11.0 rhbz#2108130

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.10.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Python Maint <python-maint@redhat.com> 2.10.8-2
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Major Hayden <major@redhat.com> 2.10.8-1
- Update to 2.10.8

* Tue Mar 22 2022 Major Hayden <major@mhtx.net> 2.10.7-1
- Update to 2.10.7

* Tue Mar 08 2022 Major Hayden <major@mhtx.net> 2.10.6-1
- Update to 2.10.6

* Wed Feb 16 2022 Major Hayden <major@mhtx.net> 2.10.5-1
- Update to 2.10.5

* Tue Feb 15 2022 Major Hayden <major@mhtx.net> 2.10.4-1
- Update to 2.10.4

* Mon Feb 14 2022 Major Hayden <major@mhtx.net> 2.10.3-1
- Update to 2.10.3

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> 2.10.1-1
- Update to 2.10.1

* Mon Oct 11 2021 Major Hayden <major@mhtx.net> 2.9.0-1
- Update to 2.9.0

* Tue Oct 05 2021 Major Hayden <major@mhtx.net> 2.8.0-1
- Initial import (#2010392)
